[CentOS-virt] Need Help with Xen Please

Kai Schaetzl maillists at conactive.com
Sun Nov 16 14:31:20 UTC 2008

Brett Serkez wrote on Sun, 16 Nov 2008 07:16:45 -0500:

> I've been using the stock Xen (2.6.18) that comes with the latest
> CentOS 5.2 in production without major issue.  At one time I had to
> restart xend occasionally to be able to properly reboot guest OSes
> from virt-manager, but even that has stabilized.

> What specifically is better about 3.2 that you are recommended it over
> 2.6.18?

AFAIK, you cannot run 32bit guests on 64bit hosts and the HVM support also 
lacks in the stock CentOS version (which is a 3.0.3/3.1 mix). As I'm not 
using both I can only reflect what others say. The latest version in 5.2 
may also have some patches that Xen 3.2 has and thus works better.
You are also getting the xenstore and it's functionality and better 
networking scripts (the virtual network interface structure changed 
significantly) with it. There were a lot of improvements from 3.0.3/3.1 to 

My experience to date with CentOS is it tends to run the
> latest, proven stable version of each package, which would make me
> hesitant to run downloaded packages.

That specific package from xen.org runs really well, but you also have to 
add two or three patches.


Kai Schätzl, Berlin, Germany
Get your web at Conactive Internet Services: http://www.conactive.com

More information about the CentOS-virt mailing list